<?php
// File: includes/config/template-defaults.php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}
class BWDCV_Template_Defaults {

    public static function get_template_defaults( $template_style ) {
        $defaults = array();

        switch ( $template_style ) {
        case 'style26':
            $defaults = array(
                'firstName'   => esc_html__( 'Wade', 'cv-builder' ),
                'lastName'    => esc_html__( 'Warren', 'cv-builder' ),
                'designation' => esc_html__( 'Account Manager', 'cv-builder' ),
                'email'       => 'wade@example.com',
                'phoneNumber' => '+65 7657 4218',
                'address'     => '',
                'city'        => '',
                'website'     => 'linkedin.com/wade',
                'postalCode'  => '',
            );
            break;

        case 'style27':
            $defaults = array(
                'firstName'   => esc_html__( 'Brooklyn', 'cv-builder' ),
                'lastName'    => esc_html__( 'Simmons', 'cv-builder' ),
                'designation' => esc_html__( 'Senior Manager, HR & Administration', 'cv-builder' ),
                'email'       => 'brokln.simm@email.com',
                'phoneNumber' => '(44) 99 88 77 66',
                'address'     => esc_html__( 'London, United Kingdom', 'cv-builder' ),
                'city'        => '',
                'website'     => '',
                'postalCode'  => '',
            );
            break;
        default:
            $defaults = array(
                'firstName'   => esc_html__( 'Edward', 'cv-builder' ),
                'lastName'    => esc_html__( 'Shine', 'cv-builder' ),
                'designation' => esc_html__( 'Web Designer', 'cv-builder' ),
                'email'       => 'info20@gmail.com',
                'phoneNumber' => '+00 952 165',
                'address'     => esc_html__( '123 Main Street', 'cv-builder' ),
                'city'        => esc_html__( 'New York', 'cv-builder' ),
                'website'     => esc_html__( ' www.example.com', 'cv-builder' ),
                'postalCode'  => esc_html__( '10001', 'cv-builder' ),
            );
            break;
        }

        return $defaults;
    }

    public static function get_all_template_styles() {
        return array( 'style1', 'style2', 'style3' );
    }
}